:
# cc.sh : This script compiles a C file and builds an object (-c option)
#      argument-1 file-to-compile (without the .c extension)
#
#  NOTE: The macros assumes that it runs in the user_lib directory
#        It may be modified to suit your needs
#
if [ $# -lt 1 ]; then
   echo "At least one argument is required!"
   echo "    arg1 = file-to-compile (without .c extension)"
   exit 1
fi


case `uname -s` in

Linux)
    echo "Using Linux"
    gcc -c $1.c $2 $3 $4 $5 $6 $7 $8 $9
;;

*)
    echo "Using default"
# default case
    cc -c $1.c $2 $3 $4 $5 $6 $7 $8 $9
;;

esac
