:
# ld_user.sh : Link a new user-lib program
#    argument-1    is the desired executable name
#    argument-2    is your main.o module
#    argument-n    are additional .o files as needed
#
#   the -s option says to strip the file
#
# NOTE:  The macro assumes that it runs in the user_lib directory.
#        It may be modified to suit your needs.
#
if [ $# -lt 2 ]; then
   echo "At least two arguments are required!"
   echo "    arg1 = desired executable"
   echo "    arg2 = main.o module"
   exit 1
fi

case `uname -s` in

Linux)
    echo "Linux"
    gcc -s -o $1 $2 $3 $4 $5 $6 $7 $8 $9 icuser.so icsys.so -lncurses -lcrypt
;;

*)
    echo "Using default (no shared libraries)"
# default case
    cc -s -o $1 $2 $3 $4 $5 $6 $7 $8 $9 icuser.a icio.a icsys.a icsys.a -lcurses -lsocket
;;

esac
